Skip to content

SecField⁠

Perform various operations for Symitar parameters.

Operations⁠

getSecFieldSelectFields⁠

POST

Execute the persistent ParameterService getSecFieldSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

SecFieldRecordSelectionintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getSecFieldSelectFields
POST /nexum/627/persistent/parameter/getSecFieldSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "SecFieldRecordSelection": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllSecFieldFields": true,
    "SecFieldFields": {
      "CreSecField": [
        0
      ],
      "RecordSelection": true,
      "ReqSecField": [
        0
      ],
      "RequireField": [
        0
      ],
      "RevSecField": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getSecFieldPagedListSelectFields⁠

POST

Execute the persistent ParameterService getSecFieldPagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getSecFieldPagedListSelectFields
POST /nexum/627/persistent/parameter/getSecFieldPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllSecFieldFields": true,
    "SecFieldFields": {
      "CreSecField": [
        0
      ],
      "RecordSelection": true,
      "ReqSecField": [
        0
      ],
      "RequireField": [
        0
      ],
      "RevSecField": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchSecFieldPagedSelectFields⁠

POST

Execute the persistent ParameterService searchSecFieldPagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchSecFieldPagedSelectFields
POST /nexum/627/persistent/parameter/searchSecFieldPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllSecFieldFields": true,
    "SecFieldFields": {
      "CreSecField": [
        0
      ],
      "RecordSelection": true,
      "ReqSecField": [
        0
      ],
      "RequireField": [
        0
      ],
      "RevSecField": [
        0
      ]
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateSecFieldByID⁠

POST

Execute the persistent ParameterService updateSecFieldByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

SecFieldRecordSelectionintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateSecFieldByID
POST /nexum/627/persistent/parameter/updateSecFieldByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "SecFieldRecordSelection": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SecFieldFields": {
    "CreSecField": [
      {
        "EntryId": 0,
        "CreSecField": 0
      }
    ],
    "RecordSelection": 0,
    "ReqSecField": [
      {
        "EntryId": 0,
        "ReqSecField": 0
      }
    ],
    "RequireField": [
      {
        "EntryId": 0,
        "RequireField": 0
      }
    ],
    "RevSecField": [
      {
        "EntryId": 0,
        "RevSecField": 0
      }
    ]
  },
  "nxAttributes": {
    "customFields": {}
  }
}